Issue 48870

Summary: Cursor position gets relocated when context menu for AutoSpellCheck is called
Product: Writer Reporter: forficula <davidbissett>
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 2.0 Beta   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description forficula 2005-05-07 22:17:10 UTC
I have recently been testing StarOffice 8; I know this facility is for OO, but
the SO8 forum is now closed and I suspect the issue concerns OO 2.0.  It used to
happen that when right-clicking the red underlining, the curser would return to
your last edit point, now it only goes as far as the end of the corrected word.
 I consider this a backward step.
Comment 1 michael.ruess 2005-05-08 14:00:05 UTC
Reassigned to SBA.
Comment 2 kmp589 2005-05-13 04:22:38 UTC
Seeing as this doesn't really prevent the normal use of the program, I think 
it would be better to mark this an enhancement.
Comment 3 stefan.baltzer 2005-06-24 13:41:14 UTC
SBA: See also enhancement issue 34425 : "Spellchecker always jumps back to
cursor position where it was started".

The behavior of the Spellcheck dialog (Always keeping the cursor position) is
"reverse" to the Online spelling: Cursor will always be re-located to a
highlighted word when the Online spellcheck context menu is called.

I adjusted the summary to better reflect the findings.
Confirmed and reassigned to Requirements.

Comment 4 ace_dent 2008-05-16 00:52:41 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html